package r.e;
// propbridge log file sender helper pseudoservice
// Lets you send files or strings out by basic protocols (FTP, email, sms)
// Likely to include more commandline "things" later on
// TODO: Turn this into a secondary activity, primary should be a revamp of the propbridge terminal

/*
// copy and paste the function below to operate the stuff from another application; edit to suit

(note that this app does NOT stay resident!!! slow start, but does not block & requires no services, which is probably good for power and memory reasons)

from propbridge or command line:

$ am start -n r.e/.s -e PARCEL sender@gmail.com:pwd:receiver@gmail.com:filepath
$ am start -n r.e/.s -e EMAIL *:*:*:Snapshot_@@@:/data/local/message:/data/data/r.e/cache/tempimage.jpg 

from another app: 

public void example() {
	Intent serialout = new Intent();
	serialout.setClassName("r.e", ".s");
	serialout.putExtra("MAIL", "sender@robots-everywhere.com:pwd:receiver@gmail.com,receiver2@gmail.com:subject:body:filepath");
	serialout.putExtra("FTP","www.robots-everywhere.com:user:pass:/www/logger/log.txt:/sdcard/log.txt");
	startActivity(serialout);
}
 copy and paste the function above to operate the stuff from another application; edit to suit
 */

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;

public class s extends Activity {


	public static final String PROPBRIDGE_TAG = "PB_IN";

	/** Called when the activity is first created. */

	@Override
	public void onResume(){CommandListServ.nuketheapp();}
	@Override
	public void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		moveTaskToBack(true);
		Intent derpint = new Intent(this,MyService.class);
		Bundle derpbundle = getIntent().getExtras();
		derpint.replaceExtras(derpbundle);
//		Toast.makeText(this, derpbundle.toString(), Toast.LENGTH_LONG).show();
		startService(derpint);
	}

}